pacman2pacman - Bug #536

Put Arch mirrors in the webseeds
2014-06-01 03:24 PM - xylon

Status: not-a-bug % Done: 0%
Priority: feature

Assignee:

Category:

Description

ATM the torrents contain webseeds for all of our own mirrors. We can make it also include all arch mirrors if the package is not a
Parabola-only package. Should be quite easy.

History

#1 - 2014-06-02 12:01 PM - xylon

Hm, | don't know what's the best way to know if a package is "Parabola-only".

#2 - 2014-06-03 08:14 AM - xylon

If we include too many webseeds, | wonder if it might make the .torrent files too big?

#3 - 2014-06-10 08:35 PM - xylon

Hm, | think maybe it should include ONLY arch mirrors for webseeds, if a package is available in arch. But, what would happen if someone tries to
install a package that has already been updated in arch, and therefore the file is not in the arch mirrors?

#4 - 2014-06-10 08:47 PM - xylon

OK, we can't have ONLY arch servers in webseeds because that could cause synchronization issues.

#5 - 2014-06-10 08:56 PM - xylon

Synchronisation problem scenario:

Monday: package-1.0 is in Arch repo

Tuesday: repo.parabolagnulinux.org syncs, the package db now contains package-1.0 and the pacman2pacman torrents use arch mirrors as
webseeds.

Wednesday morning: package-1.1 is released in Arch repo

Wednesday afternoon: someone tries to install package using pacman2pacman. The package db contains package-1.0 but arch mirrors contain
package-1.1, so the webseeds are broken.

#6 - 2014-06-10 09:04 PM - alfplayer

xylon wrote:
Synchronisation problem scenario:

Monday: package-1.0 is in Arch repo

Tuesday: repo.parabolagnulinux.org syncs, the package db now contains package-1.0 and the pacman2pacman torrents use arch mirrors as
webseeds.

Wednesday morning: package-1.1 is released in Arch repo

Wednesday afternoon: someone tries to install package using pacman2pacman. The package db contains package-1.0 but arch mirrors contain
package-1.1, so the webseeds are broken.

The issue is we don't know exactly when Arch mirrors sync their db-cleanup.

#7 - 2014-06-10 09:05 PM - xylon
What is db-cleanup?

#8 - 2014-06-10 09:09 PM - alfplayer

https://projects.parabolagnulinux.org/dbscripts.qgit/tree/db-cleanup

It removes old package files (not in current DBs).

#9 - 2014-06-10 09:11 PM - xylon
https://projects.parabolagnulinux.org/dbscripts.git/tree/db-cleanup

Also | guess if we include some tier 2 arch mirrors they should be at least as out-of date as our db.

#10 - 2014-06-10 09:16 PM - xylon

| imagine that, as long as we include a mixture of tier 1 and 2 Arch mirrors then it should provide a spread of out-of-dateness which can make sure
that at least some of the webseeds will work.

#11 - 2014-06-10 09:36 PM - alfplayer

| agree, so | don't think using only Arch webseeds for Arch packages results in fetching unavailable files. Why not use Parabola webseeds with lower

priority (if it's possible)?

#12 - 2014-06-16 01:16 PM - xylon

- Status changed from open to not-a-bug

| consider this to be no longer relevant since now pacman2pacamn re-writes the webseeds in the torrent to the user's chosen mirror.
